| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Static Private Attributes | List of all members
GaudiKernel.Configurable.ConfigurableAlgorithm Class Reference
Inheritance diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]
Collaboration diagram for GaudiKernel.Configurable.ConfigurableAlgorithm:
[legend]

## Public Member Functions
def | __init__
def | __deepcopy__ (self, memo)
def | getHandle (self)
def | getGaudiType (self)
def | getJobOptName (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool
def | __repr__ (self)
def | __str__

## Private Attributes
| _jobOptName

## Static Private Attributes
dictionary | __slots__

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

Definition at line 980 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.ConfigurableAlgorithm.__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`
| ) |  |

Definition at line 986 of file Configurable.py.

986 def __init__( self, name = Configurable.DefaultName ):
987 super( ConfigurableAlgorithm, self ).__init__( name )
988 name = self.getName()
989 self._jobOptName = name[ name.find('/')+1 : ] # strips class
990
GaudiKernel.Configurable.ConfigurableAlgorithm.__init__
def __init__
Definition: Configurable.py:986
GaudiKernel.Configurable.Configurable.getName
def getName(self)
Definition: Configurable.py:687
GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
_jobOptName
Definition: Configurable.py:989

## Member Function Documentation

def GaudiKernel.Configurable.ConfigurableAlgorithm.__deepcopy__ | ( |  | self,
|  |  | memo
| ) |  |

Definition at line 991 of file Configurable.py.

991 def __deepcopy__( self, memo ):
992 return self # algorithms are always shared
993
GaudiKernel.Configurable.ConfigurableAlgorithm.__deepcopy__
def __deepcopy__(self, memo)
Definition: Configurable.py:991

def GaudiKernel.Configurable.ConfigurableAlgorithm.getGaudiType | ( |  | self | ) |

Definition at line 997 of file Configurable.py.

997 def getGaudiType( self ):
998 return 'Algorithm'
999
GaudiKernel.Configurable.ConfigurableAlgorithm.getGaudiType
def getGaudiType(self)
Definition: Configurable.py:997

def GaudiKernel.Configurable.ConfigurableAlgorithm.getHandle | ( |  | self | ) |

Definition at line 994 of file Configurable.py.

994 def getHandle( self ):
995 return iAlgorithm( self.getJobOptName() )
996
GaudiKernel.Configurable.Configurable.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:693
GaudiPython.GaudiAlgs.iAlgorithm
iAlgorithm
The basic module.
Definition: GaudiAlgs.py:54
GaudiKernel.Configurable.ConfigurableAlgorithm.getHandle
def getHandle(self)
Definition: Configurable.py:994

def GaudiKernel.Configurable.ConfigurableAlgorithm.getJobOptName | ( |  | self | ) |

Definition at line 1000 of file Configurable.py.

1000 def getJobOptName( self ):
1001 return self._jobOptName
1002
1003
GaudiKernel.Configurable.ConfigurableAlgorithm.getJobOptName
def getJobOptName(self)
Definition: Configurable.py:1000
GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
_jobOptName
Definition: Configurable.py:989

## Member Data Documentation

dictionary GaudiKernel.Configurable.ConfigurableAlgorithm.__slots__
| static private

Initial value:
1 = { '_jobOptName' : 0, 'OutputLevel' : 0, \
2 'Enable' : 1, 'ErrorMax' : 1, 'ErrorCount' : 0, 'AuditAlgorithms' : 0, \
3 'AuditInitialize' : 0, 'AuditReinitialize' : 0, 'AuditExecute' : 0, \
4 'AuditFinalize' : 0, 'AuditBeginRun' : 0, 'AuditEndRun' : 0 }

Definition at line 981 of file Configurable.py.

GaudiKernel.Configurable.ConfigurableAlgorithm._jobOptName
| private

Definition at line 989 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py